<?php 
session_start(); // Start the session

// Check if the user is logged in
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    header('Location: login.php'); // Redirect to the login page
    exit; // Exit to ensure no further code is executed
}

include 'header.php'; 
include 'db.php'; 

$admin_id = $_SESSION['id'];



?>
<div class="dashboard-main-body">

    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0">Dashboard</h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.html" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Dashboard
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium">MLM SoftWare</li>
        </ul>
    </div>
    


    <div class="row gy-4">

<?php  include 'chart.php'; ?>

        <!-- Recent Users Section -->
        <div class="col-lg-12">
            <div class="card h-100">
                <div class="card-body p-24">
                    <div class="d-flex align-items-center flex-wrap gap-2 justify-content-between mb-20">
                        <h6 class="mb-2 fw-bold text-lg mb-0">Recent Users</h6>
                        <a href="users-list.php" class="text-primary-600 hover-text-primary d-flex align-items-center gap-1">
                            View All
                            <iconify-icon icon="solar:alt-arrow-right-linear" class="icon"></iconify-icon>
                        </a>
                    </div>
                    <div class="table-responsive scroll-sm">
                        <table class="table bordered-table mb-0">
                        <thead>
                            <tr>
                                <th scope="col">Name</th>
                                <th scope="col">Phone</th>
                                <th scope="col">Reference Number</th>
                                <th scope="col">My Number</th>
                                <th scope="col">Created At</th>
                                <th scope="col">Total Balance</th>
                                <th scope="col" class="text-center">Approved</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
 include 'db.php';

                            // Fetch last 10 users
                            $sql = "SELECT `id`, `name`, `phone`, `reference_number`, `my_number`, `created_at`, `total_balance`, `approved` FROM `MLM_users` ORDER BY `created_at` DESC LIMIT 10";
                            $result = $conn->query($sql);

                            if ($result->num_rows > 0) {
                                // Output data of each row
                                while($row = $result->fetch_assoc()) {
                                    echo "<tr>
                                            <td>{$row['name']}</td>
                                            <td>{$row['phone']}</td>
                                            <td>{$row['reference_number']}</td>
                                            <td>{$row['my_number']}</td>
                                            <td>{$row['created_at']}</td>
                                            <td>{$row['total_balance']}</td>
                                            <td class='text-center'>" . ($row['approved'] ? 'Yes' : 'No') . "</td>
                                          </tr>";
                                }
                            } else {
                                echo "<tr><td colspan='7' class='text-center'>No recent users found</td></tr>";
                            }
                            $conn->close();
                            ?>
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6">
            <div class="card h-100">
                <div class="card-body p-24">
                    <div class="d-flex align-items-center flex-wrap gap-2 justify-content-between mb-20">
                        <h6 class="mb-2 fw-bold text-lg mb-0">Wallet Transactions</h6>
                        <a href="wallet.php" class="text-primary-600 hover-text-primary d-flex align-items-center gap-1">
                            View All
                            <iconify-icon icon="solar:alt-arrow-right-linear" class="icon"></iconify-icon>
                        </a>
                    </div>
                    <div class="table-responsive scroll-sm">
                        <table class="table bordered-table mb-0">
                        <thead>
                            <tr>
                                <th scope="col">User ID</th>
                                <th scope="col">Amount</th>
                                <th scope="col">Description</th>
                                <th scope="col">Created At</th>
                                <th scope="col">Wallet Type</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
 

    include 'db.php';

                            $sql = "SELECT `id`, `user_id`, `amount`, `description`, `created_at`, `wallet_type` FROM `wallet_transactions` WHERE `wallet_type` IN ('add','withdrawal') ORDER BY `created_at` DESC LIMIT 10";
                            $result = $conn->query($sql);

                            if ($result->num_rows > 0) {
                                // Output data of each row
                                while($row = $result->fetch_assoc()) {
                                    echo "<tr>
                                            <td>{$row['user_id']}</td>
                                            <td>{$row['amount']}</td>
                                            <td>{$row['description']}</td>
                                            <td>{$row['created_at']}</td>
                                            <td>{$row['wallet_type']}</td>
                                          </tr>";
                                }
                            } else {
                                echo "<tr><td colspan='5' class='text-center'>No wallet transactions found</td></tr>";
                            }
                            $conn->close();
                            ?>
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>        <div class="col-lg-6">
            <div class="card h-100">
                <div class="card-body p-24">
                    <div class="d-flex align-items-center flex-wrap gap-2 justify-content-between mb-20">
                        <h6 class="mb-2 fw-bold text-lg mb-0">Withdrawal Transactions</h6>
                        <a href="withdrawals.php" class="text-primary-600 hover-text-primary d-flex align-items-center gap-1">
                            View All
                            <iconify-icon icon="solar:alt-arrow-right-linear" class="icon"></iconify-icon>
                        </a>
                    </div>
                    <div class="table-responsive scroll-sm">
                        <table class="table bordered-table mb-0">
                        <thead>
                            <tr>
                                <th scope="col">User ID</th>
                                <th scope="col">Amount</th>
                                <th scope="col">Description</th>
                                <th scope="col">Created At</th>
                                <th scope="col">Wallet Type</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
 

    include 'db.php';

                            $sql = "SELECT `id`, `user_id`, `amount`, `description`, `created_at`, `wallet_type` FROM `wallet_transactions` WHERE `wallet_type` IN ('withdrawal') ORDER BY `created_at` DESC LIMIT 10";
                            $result = $conn->query($sql);

                            if ($result->num_rows > 0) {
                                // Output data of each row
                                while($row = $result->fetch_assoc()) {
                                    echo "<tr>
                                            <td>{$row['user_id']}</td>
                                            <td>{$row['amount']}</td>
                                            <td>{$row['description']}</td>
                                            <td>{$row['created_at']}</td>
                                            <td>{$row['wallet_type']}</td>
                                          </tr>";
                                }
                            } else {
                                echo "<tr><td colspan='5' class='text-center'>No wallet transactions found</td></tr>";
                            }
                            $conn->close();
                            ?>
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
    

<?php include 'footer.php'; ?>
